<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
    $poora_redux_demo = get_option('redux_demo');
    get_header(); 
?> 
<!-- Start Breadcrumb 
============================================= -->
<?php if(isset($poora_redux_demo['404_banner_image']['url']) && $poora_redux_demo['404_banner_image']['url'] != ''){?>
<div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo esc_url($poora_redux_demo['404_banner_image']['url']); ?>);">
<?php }else{?> 
<div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/banner/24.jpg);">
<?php } ?>
    <div class="container">
        <div class="breadcrumb-items">
            <div class="row">
                <div class="col-lg-12">
                    <h2><?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['404_heading']));?></h2>
                </div>
            </div>
            <ul class="breadcrumb">
                <li><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home"></i> 
                    <?php if(isset($poora_redux_demo['home_text'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['home_text']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Home', 'poora' );
                    }
                    ?></a>
                </li>
                <li class="active">404</li>
            </ul>
        </div>
    </div>
</div>
<!-- End Breadcrumb -->

<!-- Start 404 
============================================= -->
<div class="error-page-area default-padding">
    <div class="container">
        <div class="row align-center text-center">
            <div class="col-lg-8 offset-lg-2">
                <div class="error-box">
                    <?php if(isset($poora_redux_demo['404_image']['url']) && $poora_redux_demo['404_image']['url'] != ''){?>
                    <img src="<?php echo esc_url($poora_redux_demo['404_image']['url']); ?>" alt="Thumb">
                    <?php }else{?> 
                    <img src="<?php echo get_template_directory_uri();?>/assets/img/illustration/1.png" alt="Thumb">
                    <?php } ?>
                    <h2><?php if(isset($poora_redux_demo['404_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['404_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Sorry Page Was Not Found!', 'poora' );
                    }
                    ?>
                    </h2>
                    <p>   <?php if(isset($poora_redux_demo['404_subtitle'])){?>
                          <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['404_subtitle']));?>
                          <?php }else{?>
                          <?php echo esc_html__( 'Household shameless incommode at no objection behaviour. Especially do at he possession insensible sympathize boisterous regular inspiration.', 'poora' );
                          }
                          ?>
                        
                    </p>
                    <a href="<?php echo esc_url(home_url('/')); ?>" class="btn circle btn-md btn-theme border">
                      <?php if(isset($poora_redux_demo['404_button'])){?>
                      <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['404_button']));?>
                      <?php }else{?>
                      <?php echo esc_html__( 'Back To Home', 'poora' );
                      }
                      ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End 404 -->
<?php
  get_footer();
?> 