<?php $poora_redux_demo = get_option('redux_demo');?> 
    <!-- Start Footer 
    ============================================= -->
    <footer class="bg-dark text-light">
        <?php if(isset($poora_redux_demo['footer_background']['url']) && $poora_redux_demo['footer_background']['url'] != ''){ ?>
        <!-- Fixed Shape -->
        <div class="fixed-shape">
            <img src="<?php echo esc_url($poora_redux_demo['footer_background']['url']); ?>" alt="Shape">
        </div>
        <?php }else{ ?>
        <div class="fixed-shape">
            <img src="<?php echo get_template_directory_uri();?>/assets/img/footer-bg.png" alt="Shape">
        </div>
        <?php } ?>
        <!-- Fixed Shape -->
        <div class="container">
            <div class="f-items default-padding">
                <div class="row">
                    <div class="col-lg-4 col-md-6 item">
                        <div class="f-item about">
                            <a href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($poora_redux_demo['footer_logo']['url']) && $poora_redux_demo['footer_logo']['url'] != ''){ ?>
                                    <img src="<?php echo esc_url($poora_redux_demo['footer_logo']['url']); ?>" alt="Logo">
                                <?php }else{ ?>
                                    <img src="<?php echo get_template_directory_uri();?>/assets/img/logo-light.png" alt="Logo">
                                <?php } ?>
                            </a>
                            <?php if(isset($poora_redux_demo['footer_description']) && $poora_redux_demo['footer_description'] != ''){?>
                            <p>
                                <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['footer_description']));?>
                            </p>
                            <?php } ?>
                            <?php echo do_shortcode('[contact-form-7 id="126" title="Subscribe Form"]'); ?>
                        </div>
                    </div>
                    <div class="col-lg-2 col-md-6 item">
                        <div class="f-item link">
                            <?php if ( is_active_sidebar( 'footer-area-1' ) ) : ?>
                            <?php dynamic_sidebar( 'footer-area-1' ); ?>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 item">
                        <div class="f-item">
                            <?php if ( is_active_sidebar( 'footer-area-2' ) ) : ?>
                            <?php dynamic_sidebar( 'footer-area-2' ); ?>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 item">
                        <div class="f-item recent-post">
                            <?php if ( is_active_sidebar( 'footer-area-3' ) ) : ?>
                            <?php dynamic_sidebar( 'footer-area-3' ); ?>
                            <?php endif; ?>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!-- Start Footer Bottom -->
        <div class="footer-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <p><?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['footer_text']));?></p>
                    </div>
                    <div class="col-md-6 text-right link">
                        <?php if ( is_active_sidebar( 'footer-area-4' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-area-4' ); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Footer Bottom -->
    </footer>
    <!-- End Footer -->
    <?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>