<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $poora_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($poora_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($poora_redux_demo['favicon']['url']); ?>">
    <?php }?>
    
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <!-- Preloader Start -->
    <div class="se-pre-con"></div>
    <!-- Preloader Ends -->

     <!-- Start Header Top 
    ============================================= -->
    <div class="top-bar-area fixed text-light">
        <div class="container">
            <div class="row align-center">
                <div class="col-lg-4 logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(isset($poora_redux_demo['logo_2']['url']) && $poora_redux_demo['logo_2']['url'] != ''){ ?>
                            <img src="<?php echo esc_url($poora_redux_demo['logo_2']['url']); ?>" class="logo" alt="Logo">
                        <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo-light.png" class="logo" alt="Logo">
                        <?php } ?>
                    </a>
                </div>
                <div class="col-lg-8 info item-flex">
                    <ul>
                        <?php if(isset($poora_redux_demo['header_email']) && $poora_redux_demo['header_email'] != ''){?>
                        <li>
                            <i class="fas fa-envelope-open"></i> <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['header_email']));?>
                        </li>
                        <?php } ?>
                        <?php if(isset($poora_redux_demo['header_phone']) && $poora_redux_demo['header_phone'] != ''){?>
                        <li>
                            <i class="fas fa-phone"></i> <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['header_phone']));?>
                        </li>
                        <?php } ?>
                    </ul>
                    <?php if(isset($poora_redux_demo['header_button']) && $poora_redux_demo['header_button'] != ''){?>
                    <a class="btn btn-theme effect btn-sm" href="<?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['header_link_button']));?>">
                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['header_button']));?></a>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <!-- End Header Top -->

     <!-- Header 
    ============================================= -->
    <header>
        <div class="container box-nav">
            <div class="row">
                <!-- Start Navigation -->
                <nav id="mainNav" class="navbar logo-less inc-top-bar navbar-default navbar-fixed white bootsnav on no-full nav-box no-background">

                    <!-- Start Top Search -->
                    <div class="container">
                        <div class="row">
                            <div class="top-search">
                                <div class="input-group">
                                    <form action="#">
                                        <input type="search" name="s" id="s" class="form-control" placeholder="Search">
                                        <button type="submit">
                                            <i class="ti-search"></i>
                                        </button>  
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End Top Search -->
                    
                    <div class="container">            
                        <!-- Start Atribute Navigation -->
                        <div class="attr-nav">
                            <ul>
                                <li class="language-switcher">
                                    <div class="dropdown">
                                        <button class="dropdown-toggle" type="button" data-toggle="dropdown">
                                            <img src="<?php echo get_template_directory_uri();?>/assets/img/lan-eng.png" alt="Flag">
                                        </button>
                                        <ul class="dropdown-menu">
                                            <li><a href="#">English</a></li>
                                            <li><a href="#">Español</a></li>
                                            <li><a href="#">Française</a></li>
                                        </ul>
                                    </div>
                                </li>
                                <li class="search"><a href="#"><i class="fas fa-search"></i></a></li>
                            </ul>
                        </div>        
                        <!-- End Atribute Navigation -->

                        <!-- Start Header Navigation -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-menu">
                                <i class="fa fa-bars"></i>
                            </button>
                            <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($poora_redux_demo['logo']['url']) && $poora_redux_demo['logo']['url'] != ''){ ?>
                                <img src="<?php echo esc_url($poora_redux_demo['logo']['url']); ?>" class="logo" alt="Logo">
                                <?php }else{ ?>
                                <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.png" class="logo" alt="Logo">
                                <?php } ?>
                            </a>
                        </div>
                        <!-- End Header Navigation -->

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="navbar-menu">
                            <?php 
                                wp_nav_menu( 
                                array( 
                                      'theme_location' => 'primary',
                                      'container' => '',
                                      'menu_class' => '', 
                                      'menu_id' => '',
                                      'menu'            => '',
                                      'container_class' => '',
                                      'container_id'    => '',
                                      'echo'            => true,
                                      'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                      'walker'            => new poora_wp_bootstrap_navwalker(),
                                      'before'          => '',
                                      'after'           => '',
                                      'link_before'     => '',
                                      'link_after'      => '',
                                      'items_wrap'      => '<ul  class="nav navbar-nav navbar-left %2$s">%3$s</ul>',
                                      'depth'           => 0,        
                                  )
                            ); ?>
                        </div><!-- /.navbar-collapse -->
                    </div>   
                </nav>
                <!-- End Navigation -->
                <div class="clearfix"></div>
                
            </div>
        </div>
    </header>
    <!-- End Header -->