<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $poora_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($poora_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($poora_redux_demo['favicon']['url']); ?>">
    <?php }?>
    
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body class="hibiscus" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <!-- Preloader Start -->
    <div class="se-pre-con"></div>
    <!-- Preloader Ends -->


    <!-- Header 
    ============================================= -->
    <header id="home">

        <!-- Start Navigation -->
        <nav class="navbar navbar-default navbar-fixed navbar-transparent white bootsnav">

            <div class="container-full">

                <!-- Start Atribute Navigation -->
                <?php if(isset($poora_redux_demo['header_button']) && $poora_redux_demo['header_button'] != ''){?>
                <div class="attr-nav">
                    <ul>
                        <li class="button"><a href="<?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['header_link_button']));?>"><i class="fas fa-heart"></i> <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['header_button']));?></a></li>
                    </ul>
                </div>   
                <?php } ?>     
                <!-- End Atribute Navigation -->

                <!-- Start Header Navigation -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-menu">
                        <i class="fa fa-bars"></i>
                    </button>
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(isset($poora_redux_demo['logo_1']['url']) && $poora_redux_demo['logo_3']['url'] != ''){ ?>
                            <img src="<?php echo esc_url($poora_redux_demo['logo_3']['url']); ?>" class="logo" alt="Logo">
                        <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo-light.png" class="logo logo-display" alt="Logo">
                        <?php } ?>
                        <?php if(isset($poora_redux_demo['logo_1']['url']) && $poora_redux_demo['logo_1']['url'] != ''){ ?>
                            <img src="<?php echo esc_url($poora_redux_demo['logo_1']['url']); ?>" class="logo" alt="Logo">
                        <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/logo-hibiscus.png" class="logo logo-scrolled" alt="Logo">
                        <?php } ?>
                    </a>
                </div>
                <!-- End Header Navigation -->

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="navbar-menu">
                    <?php 
                        wp_nav_menu( 
                        array( 
                              'theme_location' => 'primary',
                              'container' => '',
                              'menu_class' => '', 
                              'menu_id' => '',
                              'menu'            => '',
                              'container_class' => '',
                              'container_id'    => '',
                              'echo'            => true,
                              'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                              'walker'            => new poora_wp_bootstrap_navwalker(),
                              'before'          => '',
                              'after'           => '',
                              'link_before'     => '',
                              'link_after'      => '',
                              'items_wrap'      => '<ul  class="nav navbar-nav navbar-right %2$s">%3$s</ul>',
                              'depth'           => 0,        
                          )
                    ); ?>
                </div><!-- /.navbar-collapse -->
            </div>

        </nav>
        <!-- End Navigation -->

    </header>
    <!-- End Header -->