<?php
/*
 * Template Name: Blog Grid 3 Column
 * Description: A Page Template with a Page Builder design.
 */
     $poora_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<!-- Start Breadcrumb 
  ============================================= -->
  <?php if(isset($poora_redux_demo['blog_grid_banner_image']['url']) && $poora_redux_demo['blog_grid_banner_image']['url'] != ''){?>
  <div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo esc_url($poora_redux_demo['blog_grid_banner_image']['url']); ?>);">
  <?php }else{?> 
  <div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/banner/21.jpg);">
  <?php } ?>
      <div class="container">
          <div class="breadcrumb-items">
              <div class="row">
                  <div class="col-lg-12">
                      <h2><?php the_title(); ?></h2>
                  </div>
              </div>
              <ul class="breadcrumb">
                  <li><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home"></i> 
                        <?php if(isset($poora_redux_demo['home_text'])){?>
                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'poora' );
                        }
                        ?></a>
                  </li>
                  <li class="active">
                    <?php the_title(); ?>
                  </li>
              </ul>
          </div>
      </div>
  </div>
  <!-- End Breadcrumb -->

  <!-- Start Blog
  ============================================= -->
  <div class="blog-area full-blog blog-standard full-blog grid-colum default-padding">
      <div class="container">
          <div class="blog-items content-less">
              <div class="blog-content">
                  <div class="blog-item-box">
                      <div class="row">
                          <?php  $args = array(    
                              'paged' => $paged,
                              'post_type' => 'post',
                              'posts_per_page' => 6,
                          );
                          $wp_query = new WP_Query($args);
                          while (have_posts()): the_post(); ?>
                          <!-- Single Item -->
                          <div class="col-lg-4 col-md-6 single-item">
                              <div class="item wow fadeInUp" data-wow-delay="500ms">
                                  <div class="thumb">
                                      <a href="<?php the_permalink(); ?>">
                                          <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Thumb">
                                      </a>
                                  </div>
                                  <div class="info">
                                      <div class="tags">
                                          <?php 
                                            // Show all category for post
                                            $i = 1; foreach((get_the_category()) as $category) { 
                                            if ($i == 1){echo ''; }else {echo ' ';}
                                                echo '<a href="'.get_category_link($category->cat_ID).'" title="'.$category->category_nicename . '" >'.$category->category_nicename . ' '.'</a>'; 
                                                $i++;
                                          } ?>
                                      </div>
                                      <div class="meta">
                                          <ul>
                                            <li><i class="fas fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                            <li><?php if(isset($poora_redux_demo['blog_by'])){?>
                                              <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['blog_by']));?>
                                              <?php }else{?>
                                              <?php echo esc_html__( 'By ', 'poora' );
                                              }
                                              ?> <?php the_author_posts_link(); ?>
                                            </li>
                                          </ul>
                                      </div>
                                      <h4>
                                          <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                      </h4>
                                      <a class="btn circle btn-theme border btn-md" href="<?php the_permalink(); ?>">
                                        <?php if(isset($poora_redux_demo['read_more'])){?>
                                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['read_more']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Read More ', 'poora' );
                                        }
                                        ?>
                                         <i class="fas fa-long-arrow-alt-right"></i>
                                      </a>
                                  </div>
                              </div>
                          </div>
                          <!-- End Single Item -->
                          <?php endwhile; ?>
                      </div>
                      
                      <!-- Pagination -->
                      <div class="row">
                          <div class="col-md-12 pagi-area text-center">
                              <nav aria-label="navigation">
                                  <?php poora_pagination();?>
                              </nav>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- End Blog -->
<?php
    get_footer();
?>