<?php
     $poora_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<!-- Start Breadcrumb 
  ============================================= -->
  <?php if(isset($poora_redux_demo['blog_sidebar_banner_image']['url']) && $poora_redux_demo['blog_sidebar_banner_image']['url'] != ''){?>
  <div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo esc_url($poora_redux_demo['blog_sidebar_banner_image']['url']); ?>);">
  <?php }else{?> 
  <div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/banner/21.jpg);">
  <?php } ?>
      <div class="container">
          <div class="breadcrumb-items">
              <div class="row">
                  <div class="col-lg-12">
                      <h2><?php printf( esc_html__( 'Search Results for : %s', 'poora' ), get_search_query() ); ?>          </h2>
                  </div>
              </div>
              <ul class="breadcrumb">
                  <li><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home"></i> 
                        <?php if(isset($poora_redux_demo['home_text'])){?>
                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'poora' );
                        }
                        ?></a>
                  </li>
                  <li class="active">
                    <?php printf( esc_html__( 'Search Results', 'poora' ), get_search_query() ); ?>          
                  </li>
              </ul>
          </div>
      </div>
  </div>
  <!-- End Breadcrumb -->

  <!-- Start Blog
  ============================================= -->
  <div class="blog-area full-blog right-sidebar full-blog default-padding">
      <div class="container">
          <div class="blog-items">
              <div class="row">
                  <div class="blog-content col-lg-8 col-md-12">
                      <div class="blog-item-box">
                        <?php if ( have_posts() ) :
                        while (have_posts()): the_post(); ?>
                          <!-- Single Item -->
                          <div class="single-item">
                              <div class="item wow fadeInUp">
                                  <div class="thumb">
                                      <a href="<?php the_permalink(); ?>">
                                          <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Thumb">
                                      </a>
                                  </div>
                                  <div class="info">
                                      <div class="tags">
                                          <?php 
                                            // Show all category for post
                                            $i = 1; foreach((get_the_category()) as $category) { 
                                            if ($i == 1){echo ''; }else {echo ' ';}
                                                echo '<a href="'.get_category_link($category->cat_ID).'" title="'.$category->category_nicename . '" >'.$category->category_nicename . ' '.'</a>'; 
                                                $i++;
                                           } ?>
                                      </div>
                                      <div class="meta">
                                          <ul>
                                              <li><i class="fas fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                              <li><?php if(isset($poora_redux_demo['blog_by'])){?>
                                                <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['blog_by']));?>
                                                <?php }else{?>
                                                <?php echo esc_html__( 'By ', 'poora' );
                                                }
                                                ?> <?php the_author_posts_link(); ?>
                                              </li>
                                          </ul>
                                      </div>
                                      <h4>
                                          <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                      </h4>
                                      <p>
                                          <?php if(isset($poora_redux_demo['blog_excerpt'])){?>
                                          <?php echo esc_attr(poora_excerpt($poora_redux_demo['blog_excerpt'])); ?>
                                          <?php }else{?>
                                          <?php echo esc_attr(poora_excerpt(40)); 
                                          }
                                          ?>
                                      </p>
                                      <a class="btn circle btn-theme border btn-md" href="<?php the_permalink(); ?>">
                                        <?php if(isset($poora_redux_demo['read_more'])){?>
                                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['read_more']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Read More ', 'poora' );
                                        }
                                        ?> <i class="fas fa-long-arrow-alt-right"></i>
                                      </a>
                                  </div>
                              </div>
                          </div>
                          <!-- End Single Item -->
                          <?php endwhile; else :?>
                            <div class="search-custom" >
                              <h4>
                              <?php
                              // If no content, include the "No posts found" template.
                              echo esc_html__( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'poora' ) ;?>
                              </h4>
                              <?php get_search_form();?>
                            </div>
                          <?php endif;?> 
                      </div>
                      
                      <!-- Pagination -->
                      <div class="row">
                          <div class="col-md-12 pagi-area text-center">
                              <nav aria-label="navigation">
                                  <?php poora_pagination();?>
                              </nav>
                          </div>
                      </div>
                  </div>
                  <div class="sidebar wow fadeInLeft col-lg-4 col-md-12">
                      <aside>
                          <?php get_sidebar();?>
                      </aside>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- End Blog -->
<?php
    get_footer();
?>