<?php
   $poora_redux_demo = get_option('redux_demo');
   get_header(); 
?>
<?php 
      
    while (have_posts()): the_post();
    $location = get_post_meta(get_the_ID(),'_cmb_location', true);
    $raised = get_post_meta(get_the_ID(),'_cmb_raised', true);
    $goal = get_post_meta(get_the_ID(),'_cmb_goal', true);
    $percent = get_post_meta(get_the_ID(),'_cmb_percent', true);
    
?>
<!-- Start Breadcrumb 
============================================= -->
<?php if(isset($poora_redux_demo['project_details_banner_image']['url']) && $poora_redux_demo['project_details_banner_image']['url'] != ''){?>
<div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo esc_url($poora_redux_demo['project_details_banner_image']['url']); ?>);">
<?php }else{?> 
<div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/banner/19.jpg);">
<?php } ?>
    <div class="container">
        <div class="breadcrumb-items">
            <div class="row">
                <div class="col-lg-12">
                    <h2>
                        <?php if(isset($poora_redux_demo['project_details_title'])){?>
                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['project_details_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Donation Single', 'poora' );
                        }
                        ?>
                    </h2>
                </div>
            </div>
            <ul class="breadcrumb">
                <li><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home"></i> 
                    <?php if(isset($poora_redux_demo['home_text'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['home_text']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Home', 'poora' );
                    }
                    ?></a>
                </li>
                <li class="active">
                    <?php if(isset($poora_redux_demo['project_details_title'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['project_details_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Donation Single', 'poora' );
                    }
                    ?>
                </li>
            </ul>
        </div>
    </div>
</div>
<!-- End Breadcrumb -->

<!-- Start Causes Single 
============================================= -->
<div class="causes-single-area default-padding">
    <div class="container">
        <div class="causes-single-items">
            <div class="row">
                <div class="col-lg-8 content">

                    <div class="info">
                        <?php if ( has_post_thumbnail() ) { ?>
                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Thumb">
                        <?php } ?>
                        <div class="top-entry">
                            <div class="date">
                                <i class="fas fa-clock"></i> <strong> <?php the_time(get_option( 'date_format' ));?></strong>
                            </div>
                            <?php if($location !='') { ?>
                            <div class="location">
                                <i class="fas fa-map-marker-alt"></i><strong> <?php echo esc_attr($location); ?></strong>
                            </div>
                            <?php } ?>
                        </div>
                        <h4><?php the_title(); ?></h4>
                        <?php the_content(); ?>
                        <?php wp_link_pages(); ?>
                        <?php echo do_shortcode('[wp_paypal_payment] '); ?>
                    </div>

                    <div class="comments">
                        <div class="comments-area">
                            <?php comments_template('/comments-2.php');?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 sidebar">
                    <aside>
                        <div class="item">
                            <div class="progress-box">
                                <p><?php echo esc_attr($raised); ?> <span class="float-right"><?php echo esc_attr($goal); ?></span></p>
                                <div class="progress">
                                    <div class="progress-bar" role="progressbar" data-width="<?php echo esc_attr($percent); ?>"></div>
                                </div>
                                <span>Fund collect : <?php echo esc_attr($percent); ?>%</span>
                            </div>
                        </div>
                        <div class="item">
                            <h4>Select Amount</h4>
                            <?php echo do_shortcode('[wp_paypal_payment] '); ?>
                        </div>
                    </aside>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End Causes SIngle -->
<?php endwhile; ?>
<?php
    get_footer();
?>