<?php
   $poora_redux_demo = get_option('redux_demo');
   get_header(); 
?>
<?php 
    while (have_posts()): the_post();
?>
<?php $post_select = get_post_meta(get_the_ID(),'_cmb_post_select', true); ?>
<?php $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true); ?>
<?php $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true); ?>
<?php $single_pinterest = get_post_meta(get_the_ID(),'_cmb_single_pinterest', true); ?>
<?php $single_linkedin = get_post_meta(get_the_ID(),'_cmb_single_linkedin', true); ?>
    <!-- Start Breadcrumb 
    ============================================= -->
    <?php if(isset($poora_redux_demo['blog_details_banner_image']['url']) && $poora_redux_demo['blog_details_banner_image']['url'] != ''){?>
    <div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo esc_url($poora_redux_demo['blog_details_banner_image']['url']); ?>);">
    <?php }else{?> 
    <div class="breadcrumb-area text-center shadow dark bg-fixed padding-xl text-light" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/banner/21.jpg);">
    <?php } ?>
        <div class="container">
            <div class="breadcrumb-items">
                <div class="row">
                    <div class="col-lg-12">
                        <h2>
                            <?php if(isset($poora_redux_demo['blog_details_title'])){?>
                            <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['blog_details_title']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Blog Single', 'poora' );
                            }
                            ?>
                        </h2>
                    </div>
                </div>
                <ul class="breadcrumb">
                    <li><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home"></i> 
                        <?php if(isset($poora_redux_demo['home_text'])){?>
                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'poora' );
                        }
                        ?></a>
                    </li>
                    <li class="active">
                        <?php if(isset($poora_redux_demo['blog_details_title'])){?>
                        <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['blog_details_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Blog Single', 'poora' );
                        }
                        ?>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!-- End Breadcrumb -->
    <?php  if ($post_select=='1') { ?>
    <!-- Start Blog
    ============================================= -->
    <div class="blog-area single full-blog full-blog default-padding">
        <div class="container">
            <div class="blog-items">
                <div class="row">
                    <div class="blog-content wow fadeInUp col-lg-10 offset-lg-1 col-md-12">
                        <div class="item">

                            <div class="blog-item-box">
                                <?php if ( has_post_thumbnail() ) { ?>
                                <!-- Start Post Thumb -->
                                <div class="thumb">
                                    <a href="#">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Thumb">
                                    </a>
                                </div>
                                <!-- Start Post Thumb -->
                                <?php } ?>

                                <div class="info">
                                    <div class="tags">
                                      <?php 
                                        // Show all category for post
                                        $i = 1; foreach((get_the_category()) as $category) { 
                                        if ($i == 1){echo ''; }else {echo ' ';}
                                            echo '<a href="'.get_category_link($category->cat_ID).'" title="'.$category->category_nicename . '" >'.$category->category_nicename . ' '.'</a>'; 
                                            $i++;
                                       } ?>
                                    </div>
                                    <div class="meta">
                                        <ul>
                                            <li><i class="fas fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                            <li><?php if(isset($poora_redux_demo['blog_by'])){?>
                                                <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['blog_by']));?>
                                                <?php }else{?>
                                                <?php echo esc_html__( 'By ', 'poora' );
                                                }
                                                ?> <?php the_author_posts_link(); ?></li>
                                        </ul>
                                    </div>
                                    
                                    <h3><?php the_title(); ?></h3>
                                    <?php the_content(); ?>
                                    <?php wp_link_pages(); ?>
                                </div>
                            </div>
                        </div>

                        <!-- Start Post Tags-->
                        <div class="post-tags share">
                            <div class="tags">
                                <?php echo get_the_tag_list(); ?>
                            </div>
                            <div class="social">
                                <ul>
                                    <?php if($single_facebook !='') { ?>
                                    <li class="facebook">
                                        <a href="<?php echo esc_url($single_facebook); ?>">
                                            <i class="fab fa-facebook-f"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if($single_twitter !='') { ?>
                                    <li class="twitter">
                                        <a href="<?php echo esc_url($single_twitter); ?>">
                                            <i class="fab fa-twitter"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if($single_pinterest !='') { ?>
                                    <li class="pinterest">
                                        <a href="<?php echo esc_url($single_pinterest); ?>">
                                            <i class="fab fa-pinterest-p"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if($single_linkedin !='') { ?>
                                    <li class="linkedin">
                                        <a href="<?php echo esc_url($single_linkedin); ?>">
                                            <i class="fab fa-linkedin-in"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                </ul>
                            </div>
                        </div>
                        <!-- End Post Tags -->

                        <!-- Start Blog Comment -->
                        <div class="blog-comments">
                            <div class="comments-area">
                                <?php comments_template();?>
                            </div>
                        </div>
                        <!-- End Comments Form -->

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End Blog -->
    <?php } else { ?>
    <!-- Start Blog
    ============================================= -->
    <div class="blog-area single full-blog right-sidebar full-blog default-padding">
        <div class="container">
            <div class="blog-items">
                <div class="row">
                    <div class="blog-content wow fadeInUp col-lg-8 col-md-12">
                        <div class="item">

                            <div class="blog-item-box">
                                <!-- Start Post Thumb -->
                                <div class="thumb">
                                    <a href="#">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Thumb">
                                    </a>
                                </div>
                                <!-- Start Post Thumb -->

                                <div class="info">
                                    <div class="tags">
                                        <?php 
                                            // Show all category for post
                                            $i = 1; foreach((get_the_category()) as $category) { 
                                            if ($i == 1){echo ''; }else {echo ' ';}
                                                echo '<a href="'.get_category_link($category->cat_ID).'" title="'.$category->category_nicename . '" >'.$category->category_nicename . ' '.'</a>'; 
                                                $i++;
                                        } ?>
                                    </div>
                                    <div class="meta">
                                        <ul>
                                            <li><i class="fas fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                            <li><?php if(isset($poora_redux_demo['blog_by'])){?>
                                                <?php echo wp_specialchars_decode(esc_attr($poora_redux_demo['blog_by']));?>
                                                <?php }else{?>
                                                <?php echo esc_html__( 'By ', 'poora' );
                                                }
                                                ?> <?php the_author_posts_link(); ?></li>
                                        </ul>
                                    </div>
                                    
                                    <h3><?php the_title(); ?></h3>
                                    <?php the_content(); ?>
                                    <?php wp_link_pages(); ?>
                                </div>
                            </div>
                        </div>

                        <!-- Start Post Tags-->
                        <div class="post-tags share">
                            <div class="tags">
                                <?php echo get_the_tag_list(); ?>
                            </div>
                            <div class="social">
                                <ul>
                                    <?php if($single_facebook !='') { ?>
                                    <li class="facebook">
                                        <a href="<?php echo esc_url($single_facebook); ?>">
                                            <i class="fab fa-facebook-f"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if($single_twitter !='') { ?>
                                    <li class="twitter">
                                        <a href="<?php echo esc_url($single_twitter); ?>">
                                            <i class="fab fa-twitter"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if($single_pinterest !='') { ?>
                                    <li class="pinterest">
                                        <a href="<?php echo esc_url($single_pinterest); ?>">
                                            <i class="fab fa-pinterest-p"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                    <?php if($single_linkedin !='') { ?>
                                    <li class="linkedin">
                                        <a href="<?php echo esc_url($single_linkedin); ?>">
                                            <i class="fab fa-linkedin-in"></i>
                                        </a>
                                    </li>
                                    <?php } ?>
                                </ul>
                            </div>
                        </div>
                        <!-- End Post Tags -->

                        <!-- Start Blog Comment -->
                        <div class="blog-comments">
                            <div class="comments-area">
                                <?php comments_template();?>
                            </div>
                        </div>
                        <!-- End Comments Form -->
                    </div>
                    <!-- Start Sidebar -->
                    <div class="sidebar wow fadeInLeft col-lg-4 col-md-12">
                        <aside>
                            <?php get_sidebar();?>
                        </aside>
                    </div>
                    <!-- End Start Sidebar -->
                </div>
            </div>
        </div>
    </div>
    <!-- End Blog -->
    <?php } ?>
<?php endwhile; ?>
<?php
    get_footer();
?>