<?php

// register post type Donation

add_action( 'init', 'register_poora_Donation' );

function register_poora_Donation() {

    

    $labels = array( 

        'name' => __( 'Donation', 'poora' ),

        'singular_name' => __( 'Donation', 'poora' ),

        'add_new' => __( 'Add New Donation', 'poora' ),

        'add_new_item' => __( 'Add New Donation', 'poora' ),

        'edit_item' => __( 'Edit Donation', 'poora' ),

        'new_item' => __( 'New Donation', 'poora' ),

        'view_item' => __( 'View Donation', 'poora' ),

        'search_items' => __( 'Search Donation', 'poora' ),

        'not_found' => __( 'No Donation found', 'poora' ),

        'not_found_in_trash' => __( 'No Donation found in Trash', 'poora' ),

        'parent_item_colon' => __( 'Parent Donation:', 'poora' ),

        'menu_name' => __( 'Donation', 'poora' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Donation',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Donation', 'type' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-portfolio', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'

    );



    register_post_type( 'Donation', $args );

}

add_action( 'init', 'create_Type_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_Type_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'Type', 'poora' ),

    'singular_name' => __( 'Type', 'poora' ),

    'search_items' =>  __( 'Search Type','poora' ),

    'all_items' => __( 'All Type','poora' ),

    'parent_item' => __( 'Parent Type','poora' ),

    'parent_item_colon' => __( 'Parent Type:','poora' ),

    'edit_item' => __( 'Edit Type','poora' ), 

    'update_item' => __( 'Update Type','poora' ),

    'add_new_item' => __( 'Add New Type','poora' ),

    'new_item_name' => __( 'New Type Name','poora' ),

    'menu_name' => __( 'Type','poora' ),

  );     



// Now register the taxonomy



  register_taxonomy('type',array('Donation'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));



}



?>